import App from './App'
import uviewPlus from '@/uni_modules/uview-plus'
import store from '@/store';
import mixin from '@/store/$u.mixin.js'
import {
	initRequest
} from '@/utils/request/index.js'

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
	...App
})
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
export function createApp() {
	const app = createSSRApp(App)

	// 引入请求封装
	initRequest(app)

	app.use(store).use(uviewPlus)
	app.mixin(mixin)
	return {
		app
	}
}
// #endif